콘텐츠로 건너뛰기

Workflow Utilities Extract Nth Frame

통합

모델 id workflow-utilities/extract-nth-frame
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/extract-nth-frame?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

실행당 최대 $0.90 실제 사용량에 따라 과금되며 나머지는 환불됩니다 이 페이지에서 실행

API 키 받기
Utility · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 video_url
파일을 끌어다 놓거나

프레임 추출에 사용할 원본 동영상 URL입니다.

고급 output_format · frame_interval · max_frames · quality
output_format 기본값 png

추출된 프레임에 사용하는 파일 형식입니다.

기본값 12

프레임 추출 간격입니다. N번째 프레임마다 선택합니다. 예를 들어 3은 세 번째 프레임마다, 12는 열두 번째 프레임마다 선택합니다.

기본값 100

추출할 프레임 수의 상한입니다.

기본값 95

jpg/webp 출력 품질로, 1~100입니다.

POST /run/workflow-utilities/extract-nth-frame?wait=20 견적 → $0.90
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/extract-nth-frame?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Workflow Utilities Extract Nth Frame 정보

동영상에서 일정한 간격으로 정지 프레임을 추출합니다. `frame_interval`은 매 N번째 프레임(1~300)을 선택하고, `max_frames`는 개수(1~500)를 제한합니다. 형식은 png, jpg, jpeg 또는 webp일 수 있습니다. `quality` (1~100)는 jpg 및 webp에 적용됩니다. 결과는 프레임 수와 함께 이미지 배열로 반환됩니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
video_url필수 video
유형url · video
프레임 추출에 사용할 원본 동영상 URL입니다.
frame_interval선택 사항
유형integer
기본값12
1 – 300
프레임 추출 간격입니다. N번째 프레임마다 선택합니다. 예를 들어 3은 세 번째 프레임마다, 12는 열두 번째 프레임마다 선택합니다.
output_format선택 사항
유형enum
기본값png
pngjpgjpegwebp
추출된 프레임에 사용하는 파일 형식입니다.
max_frames선택 사항
유형integer
기본값100
1 – 500
추출할 프레임 수의 상한입니다.
quality선택 사항
유형integer
기본값95
1 – 100
jpg/webp 출력 품질로, 1~100입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/extract-nth-frame",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 900,
    "usd": "0.90",
    "charged": 900,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "frame_count": 25
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height}추출된 프레임 이미지가 포함된 배열입니다.
frame_count
integer추출된 프레임의 총 개수입니다.

더 많은 모델: 이미지 편집

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/workflow-utilities/extract-nth-frame.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt